package com.iflytek.cloud;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * <h3>身份验证结果类</h3>
 * <script>gShowExtraIdentity();</script>
 * <p>
 * 		关于结果各字段的说明，请参考<script>gShowUserGuideFile();</script>。
 * </p>
 * @author <script>gShowAuthor();</script>
 * @since version:1073
 * @see IdentityListener#onResult
 * 
 */
public class IdentityResult implements Parcelable {
	/**
	 * 操作结果，请参考文档中结果定义。
	 */
	private String mResult = "";
	
	/**
	 * <h4>构造函数</h4>
	 * <p>
	 * 		应用集成时一般只用到已有的结果对象，不必自己构造新的对象。
	 * </p>
	 * @param result json格式的结果
	 */
	public IdentityResult(String result) {
		if (null != result) {
			mResult = result;
		}
	}
	
	/**
	 * <h4>构造函数</h4>
	 * <p>
	 * 		应用集成时一般只用到已有的结果对象，不必自己构造新的对象。
	 * </p>
	 * @param in json格式的结果
	 */
	private IdentityResult(Parcel in) {
		mResult = in.readString();
	}
	
	/**
	 * <h4>获取识别结果</h4>
	 * <p>
	 * 		返回{@link java.lang.String}类型的结果字符串，结果中字段说明请参考<script>gShowUserGuideFile();</script>。
	 * </p>
	 * @return 识别结果，json格式，结果中字段说明请参考<script>gShowUserGuideFile();</script>
	 */
	public String getResultString() {
		return mResult;
	}
	
	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(mResult);
	}

	public static final Parcelable.Creator<IdentityResult> CREATOR = new Parcelable.Creator<IdentityResult>() {

		@Override
		public IdentityResult createFromParcel(Parcel in) {
			return new IdentityResult(in);
		}

		@Override
		public IdentityResult[] newArray(int size) {
			return new IdentityResult[size];
		}
	};
	
}
