package com.iflytek.cloud.util.contacts.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;

/**
 * 联系人集合类，保存某个姓名的联系人对应的所有信息
 * @author weiwei
 *
 */
public class ContactSet implements Serializable {
    private static final long serialVersionUID = -4561640678422641864L;

    private String mName;

    private String mContactId;

    private String mSimMode;

    private ArrayList<String> mNumbers = new ArrayList<String>();

    private ArrayList<String> mPhoneIds = new ArrayList<String>();

    private String mDate;
    
    private HashMap<String, String> mNumberTypeHashMap = new HashMap<String, String>();
    
    private String mContactIconUri;

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((mContactId == null) ? 0 : mContactId.hashCode());
        result = prime * result + ((mName == null) ? 0 : mName.hashCode());
        result = prime * result + ((mNumbers == null) ? 0 : mNumbers.hashCode());
        result = prime * result + ((mPhoneIds == null) ? 0 : mPhoneIds.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        ContactSet other = (ContactSet) obj;
        if (mContactId == null) {
            if (other.mContactId != null)
                return false;
        } else if (!mContactId.equals(other.mContactId))
            return false;
        if (mName == null) {
            if (other.mName != null)
                return false;
        } else if (!mName.equals(other.mName))
            return false;
        if (mNumbers == null) {
            if (other.mNumbers != null)
                return false;
        } else if (!mNumbers.equals(other.mNumbers))
            return false;
        if (mPhoneIds == null) {
            if (other.mPhoneIds != null)
                return false;
        } else if (!mPhoneIds.equals(other.mPhoneIds))
            return false;
        return true;
    }

    public ContactSet(String name, String date) {
        mName = name;
        mDate = date;
    }

    public void changeItemToSet(ContactItem contactItem) {
        if (null != contactItem) {
            String name = contactItem.getContactName();
            if (null == mName) {
                mName = name;
                mNumbers.add(contactItem.getPhoneNumber());
                mPhoneIds.add(contactItem.getPhoneId());
                return;
            } else if (mName.equals(name)) {
                mNumbers.add(contactItem.getPhoneNumber());
                mPhoneIds.add(contactItem.getPhoneId());
            }
        }
    }

    public void setSimMode(String mode) {
        mSimMode = mode;
    }

    public String getSimMode() {
        return mSimMode;
    }

    public void setName(String name) {
        mName = name;
    }

    public String getName() {
        return mName;
    }

    public void setContactId(String contactId) {
        mContactId = contactId;
    }

    public String getContactId() {
        return mContactId;
    }

    public ArrayList<String> getNumbers() {
        return mNumbers;
    }
    
    public HashMap<String, String> getNumberTypesHashMap() {
        return mNumberTypeHashMap;
    }
    
    public void setNumberTypeHashMap(HashMap<String, String> typeHashMap) {
        mNumberTypeHashMap = typeHashMap;
    }

    public ArrayList<String> getPhoneIds() {
        return mPhoneIds;
    }

    public void setNumbers(ArrayList<String> numbers) {
        mNumbers = numbers;
    }

    public void setPhoneIds(String phoneId) {
        mPhoneIds.add(phoneId);
    }

    public void setDate(String date) {
        mDate = date;
    }

    public String getDate() {
        return mDate;
    }

	public String getContactIconUri() {
		return mContactIconUri;
	}

	public void setContactIconUri(String contactIconUri) {
		this.mContactIconUri = contactIconUri;
	}

} 
